Bug 1019320 - lsmcli: Traceback on smispy+ssl when failed authentication
lsmcli: Traceback on smispy+ssl when failed authentication
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libstoragemgmt (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Tony Asleson
Bruno Goncalves
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 09:26 EDT by Bruno Goncalves
Modified: 2014-06-18 00:54 EDT (History)
0 users

See Also:
Fixed In Version: libstoragemgmt-0.0.22-5.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:51:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Goncalves 2013-10-15 09:26:38 EDT
Description of problem:
Using to connect to a server via smispy+ssl and the password is wrong leads to a traceback.

lsmcli -u smispy+ssl://root@<target>:5989?namespace=root/LsiMr13 -l VOLUMES -P
Password: 
error: 303 msg: Unhandled exception in plug-in data: Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/lsm/pluginrunner.py", line 94, in run
    **msg['params'])
  File "/usr/lib/python2.7/site-packages/lsm/common.py", line 88, in present
    return getattr(self.proxied_obj, _proxy_method_name)(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/lsm/smis.py", line 32, in cim_wrapper
    return method(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/lsm/smis.py", line 630, in volumes
    systems = self._systems()
  File "/usr/lib/python2.7/site-packages/lsm/smis.py", line 646, in _systems
    ccs = self._c.EnumerateInstances('CIM_ControllerConfigurationService')
  File "/usr/lib/python2.7/site-packages/pywbem/cim_operations.py", line 403, in EnumerateInstances
    **params)
  File "/usr/lib/python2.7/site-packages/pywbem/cim_operations.py", line 167, in imethodcall
    verify_callback = self.verify_callback)
  File "/usr/lib/python2.7/site-packages/pywbem/cim_http.py", line 250, in wbem_request
    raise AuthError(response.reason)
AuthError: Unauthorized


Version-Release number of selected component (if applicable):
rpm -q libstoragemgmt
libstoragemgmt-0.0.22-3.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.lsmcli -u smispy+ssl://root@<target>:5989?namespace=root/LsiMr13 -l VOLUMES -P
2.Use wrong password when requested.
3.
Comment 1 Bruno Goncalves 2013-11-28 09:21:26 EST
Verified on version libstoragemgmt-0.0.22-5.el7.x86_64

# lsmcli  -u smispy+ssl://root@<target>:5989?namespace=root/emc -l VOLUMES -P
Password: 
error: 300 msg: Unauthorized user 
#
Comment 2 Ludek Smid 2014-06-13 07:51:51 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.